net.minecraft.command

## Class CommandServerBanIp

- java.lang.Object
- - net.minecraft.command.CommandBase
  - - net.minecraft.command.CommandServerBanIp

- All Implemented Interfaces:
    Comparable, ICommand

      public class CommandServerBanIp
      extends CommandBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Pattern` | `IPv4Pattern`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandServerBanIp()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `addTabCompletionOptions(ICommandSender par1ICommandSender, String[] par2ArrayOfStr)` Adds the strings available in this command to the given list of tab completion options.
    `boolean` | `canCommandSenderUseCommand(ICommandSender par1ICommandSender)` Returns true if the given command sender is allowed to use this command.
    `String` | `getCommandName()`
    `String` | `getCommandUsage(ICommandSender par1ICommandSender)`
    `int` | `getRequiredPermissionLevel()` Return the required permission level for this command.
    `void` | `processCommand(ICommandSender par1ICommandSender, String[] par2ArrayOfStr)`

    - ### Methods inherited from class net.minecraft.command.CommandBase

      `compareTo, compareTo, doesStringStartWith, func_110661_a, func_110662_c, func_110663_b, func_110664_a, func_110665_a, func_110666_a, func_82360_a, func_82361_a, func_96332_d, func_96333_a, getCommandAliases, getCommandSenderAsPlayer, getListOfStringsFromIterableMatchingLastWord, getListOfStringsMatchingLastWord, getPlayer, isUsernameIndex, joinNiceString, notifyAdmins, notifyAdmins, parseDouble, parseInt, parseIntBounded, parseIntWithMin, setAdminCommander`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IPv4Pattern

          public static final Pattern IPv4Pattern

  - ### Constructor Detail

    - #### CommandServerBanIp

          public CommandServerBanIp()

  - ### Method Detail

    - #### getCommandName

          public String getCommandName()

    - #### getRequiredPermissionLevel

          public int getRequiredPermissionLevel()

      Return the required permission level for this command.
      Overrides:
        `getRequiredPermissionLevel` in class `CommandBase`

    - #### canCommandSenderUseCommand

          public boolean canCommandSenderUseCommand(ICommandSender par1ICommandSender)

      Returns true if the given command sender is allowed to use this command.
      Specified by:
        `canCommandSenderUseCommand` in interface `ICommand`
      Overrides:
        `canCommandSenderUseCommand` in class `CommandBase`

    - #### getCommandUsage

          public String getCommandUsage(ICommandSender par1ICommandSender)

    - #### processCommand

          public void processCommand(ICommandSender par1ICommandSender,
                            String[] par2ArrayOfStr)

    - #### addTabCompletionOptions

          public List addTabCompletionOptions(ICommandSender par1ICommandSender,
                                     String[] par2ArrayOfStr)

      Adds the strings available in this command to the given list of tab completion options.
      Specified by:
        `addTabCompletionOptions` in interface `ICommand`
      Overrides:
        `addTabCompletionOptions` in class `CommandBase`